NNG_HTTP_HANDLER_FREE(3http)

NAME
nng_http_handler_free - free HTTP server handler

SYNOPSIS

    #include <nng/nng.h>
    #include <nng/supplemental/http/http.h>
    void nng_http_handler_free(nng_http_handler *h);

DESCRIPTION

The nng_http_handler_free() function frees an allocated HTTP server handler.

    Important

    It is an error to free a handler that is registered with a server. Any handlers that are registered with servers are automatically freed when the server itself is deallocated.

RETURN VALUES

None.

ERRORS

None.

SEE ALSO

nng_http_handler_alloc(3http), nng_http_server_add_handler(3http), nng(7)